﻿using Syncfusion.UI.Xaml.RichTextBoxAdv;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Runtime.InteropServices.WindowsRuntime;
using System.Windows.Input;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace Sample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        #region Fields
        Assembly assembly;
        #endregion

        #region Constructor
        /// <summary>
        /// Initializes a new instance of <see cref="MainPage"/>.
        /// </summary>
        public MainPage()
        {
            this.InitializeComponent();
            assembly = typeof(MainPage).GetTypeInfo().Assembly;
            Stream stream = assembly.GetManifestResourceStream("Sample.Assets.GettingStarted.docx");
            richTextBoxAdv.Load(stream, FormatType.Docx);
        }
        #endregion

        #region Events
        #endregion

        #region Implementation
        #endregion
        /// <summary>
        /// Called when insert picture API is called.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void InsertPictureAPI_Click(object sender, RoutedEventArgs e)
        {
            Stream stream = assembly.GetManifestResourceStream("Sample.Assets.Rose.jpg");

            // Inserts the picture using API that accepts byte[] or stream as input.
            richTextBoxAdv.Selection.InsertPicture(stream);
        }
        /// <summary>
        /// Calledd when insert picture command is clicked.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void InsertPictureCommand_Click(object sender, RoutedEventArgs e)
        {
            Stream stream = assembly.GetManifestResourceStream("Sample.Assets.Rose.jpg");

            // Inserts the picture using command that accepts byte[], stream, storage file, uri string as input.
            // If input parameter is not supported or null, it will open file picker to browse the image.
            richTextBoxAdv.InsertPictureCommand.Execute(stream);
        }
    }
}
